<?php
function lense_plugin_sanitize_metabox_tab_sidebar( $post_id ) {
	// Ignore phpcs issues. nonce validation happens inside lense_plugin_can_save_meta(), from the caller of this function.
	// @codingStandardsIgnoreStart
	update_post_meta( $post_id, 'lense_sidebar', lense_plugin_sanitize_sidebar( $_POST['lense_sidebar'] ) );
	// @codingStandardsIgnoreEnd
}

function lense_plugin_print_metabox_tab_sidebar( $object, $box ) {

	lense_plugin_metabox_open_tab( esc_html__( 'Sidebar', 'lense-plugin' ) );

		$options = lense_plugin_get_sidebar_choices();
		foreach ( $options as $key => $value ) {
			lense_plugin_metabox_radio( 'lense_sidebar', "sidebar-$key", $key, $value, array( 'default' => apply_filters( 'lense_plugin_sanitize_sidebar_default', 'right' ) ) );
		}

	lense_plugin_metabox_close_tab();
}

function lense_plugin_get_sidebar_choices() {
	return apply_filters( 'lense_plugin_sidebar_choices', array(
		'left'  => esc_html__( 'Left sidebar', 'lense-plugin' ),
		'right' => esc_html__( 'Right sidebar', 'lense-plugin' ),
		'none'  => esc_html__( 'No sidebar', 'lense-plugin' ),
	) );
}

function lense_plugin_sanitize_sidebar( $value ) {
	$choices = lense_plugin_get_sidebar_choices();
	if ( array_key_exists( $value, $choices ) ) {
		return $value;
	}

	return apply_filters( 'lense_plugin_sanitize_sidebar_default', 'right' );
}
