<?php
add_shortcode( 'page-content', 'lense_plugin_shortcode_page_content' );
if ( ! function_exists( 'lense_plugin_shortcode_page_content' ) ) :
	function lense_plugin_shortcode_page_content( $params, $content = null, $shortcode ) {
		$params = shortcode_atts( array(
			'id'   => '',
			'slug' => '',
		), $params, $shortcode );

		$q = false;

		if ( ! empty( $params['id'] ) ) {
			$id = intval( $params['id'] );

			$q = new WP_Query( array(
				'post_type'      => 'any',
				'posts_per_page' => 1,
				'p'              => $id,
			) );
		} elseif ( ! empty( $params['slug'] ) ) {
			$slug = sanitize_title_with_dashes( $params['slug'] );

			$q = new WP_Query( array(
				'post_type'      => 'any',
				'posts_per_page' => 1,
				'name'           => $slug,
			) );
		}

		if ( false === $q ) {
			return '';
		}

		ob_start();

		if ( $q->have_posts() ) {
			global $post;

			while ( $q->have_posts() ) {
				$q->the_post();
				?>
				<?php if ( ! lense_is_content_empty( $post->post_content ) ) : ?>
					<div class="entry-content">
						<?php the_content(); ?>
					</div>
				<?php endif; ?>

				<?php if ( 'templates/gallery-page.php' === get_page_template_slug( get_the_ID() ) ) {
					lense_page_gallery();
				} ?>
				<?php
			}
			wp_reset_postdata();
		}

		$output = ob_get_clean();

		return $output;
	}
endif;
