<?php
	$sample_content_url = apply_filters( 'lense_sample_content_url',
		sprintf( 'https://www.cssigniter.com/sample_content/%s.zip', LENSE_NAME ),
		'https://www.cssigniter.com/sample_content/',
		LENSE_NAME
	);

	if ( ! empty( $sample_content_url ) && ( ! defined( 'LENSE_WHITELABEL' ) || false === (bool) LENSE_WHITELABEL ) ) {
		$wp_customize->add_setting( 'sample_content_link', array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Lense_Customize_Static_Text_Control( $wp_customize, 'sample_content_link', array(
			'section'     => 'theme_other_sample_content',
			'label'       => esc_html__( 'Sample content bundle', 'lense' ),
			'description' => array(
				wp_kses(
					/* translators: %s is a URL */
					sprintf( __( '<a href="%s" target="_blank">Download the theme\'s sample content files</a> to get things moving.', 'lense' ),
						esc_url( $sample_content_url )
					),
					lense_get_allowed_tags( 'guide' )
				),
			),
		) ) );
	}
