<?php
function lense_customize_register( $wp_customize ) {

	$wp_customize->selective_refresh->get_partial( 'theme_site_branding' )->render_callback = 'lense_the_site_identity_override';

	$wp_customize->add_setting( 'lowercase_widget_titles', array(
		'transport'         => 'postMessage',
		'default'           => 0,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'lowercase_widget_titles', array(
		'type'    => 'checkbox',
		'section' => 'theme_typography_widgets',
		'label'   => esc_html__( 'Lowercase widget titles', 'lense' ),
	) );

	$wp_customize->add_setting( 'lowercase_content_titles', array(
		'transport'         => 'postMessage',
		'default'           => 0,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'lowercase_content_titles', array(
		'type'    => 'checkbox',
		'section' => 'theme_typography_content',
		'label'   => esc_html__( 'Lowercase content titles', 'lense' ),
	) );

	$wp_customize->add_setting( 'lowercase_all', array(
		'transport'         => 'postMessage',
		'default'           => 0,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'lowercase_all', array(
		'type'    => 'checkbox',
		'section' => 'theme_typography_content',
		'label'   => esc_html__( 'Lowercase all uppercased content', 'lense' ),
	) );
}
add_action( 'customize_register', 'lense_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function lense_customize_preview_js() {
	$theme = wp_get_theme();

	wp_enqueue_script( 'lense-customizer-preview', get_template_directory_uri() . '/js/admin/customizer-preview.js', array( 'customize-preview' ), $theme->get( 'Version' ), true );
}
add_action( 'customize_preview_init', 'lense_customize_preview_js' );
