<?php get_header(); ?>

<main class="main">

	<?php
		$title = get_theme_mod( 'title_search', __( 'Search results', 'lense' ) );

		global $wp_query;
		$found = intval( $wp_query->found_posts );
		/* translators: %d is the number of search results. */
		$subtitle = esc_html( sprintf( _n( '%d result found.', '%d results found.', $found, 'lense' ), $found ) );
	?>
	<article class="entry error-404 not-found">
		<header class="entry-header">
			<h1 class="entry-title">
				<?php echo wp_kses( $title, lense_get_allowed_tags() ); ?>
			</h1>
		</header>

		<div class="entry-content">
			<p>
				<?php echo wp_kses( $subtitle, lense_get_allowed_tags( 'guide' ) ); ?>
			</p>
		</div>
	</article>

	<?php
		if ( have_posts() ) :

			while ( have_posts() ) : the_post();

				get_template_part( 'template-parts/article', get_post_format() );

			endwhile;

			lense_posts_pagination();

		else :

			get_template_part( 'template-parts/article', 'none' );

		endif;
	?>

</main>

<?php get_footer();
