<?php get_header(); ?>

<main class="main">

	<?php while ( have_posts() ) : the_post(); ?>

		<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>

			<?php lense_the_post_thumbnail(); ?>

			<?php lense_the_post_header(); ?>

			<div class="entry-content">
				<?php the_content(); ?>

				<?php wp_link_pages( array(
					'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'lense' ),
					'after'       => '</div>',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
				) ); ?>
			</div>

			<?php if ( has_tag() && get_theme_mod( 'post_show_tags', 1 ) ) : ?>
				<div class="entry-tags">
					<?php the_tags( '', ' ' ); ?>
				</div>
			<?php endif; ?>

		</article>

		<?php if ( get_theme_mod( 'post_show_authorbox', 1 ) ) {
			lense_the_post_author_box();
		} ?>

		<?php if ( get_theme_mod( 'post_show_related', 1 ) ) {
			get_template_part( 'template-parts/related', get_post_type() );
		} ?>

		<?php if ( get_theme_mod( 'post_show_comments', 1 ) ) {
			comments_template();
		} ?>

	<?php endwhile; ?>
</main>

<?php get_footer();
