<?php
	$related   = lense_get_related_posts( get_the_ID(), apply_filters( 'lense_related_count', 2, get_post_type() ) );
	$columns   = apply_filters( 'lense_related_columns', 2, get_post_type() );
	$title     = get_theme_mod( 'title_post_related_title', __( 'Related articles', 'lense' ) );
	$subtitle  = get_theme_mod( 'title_post_related_subtitle' );
	$post_type = get_post_type();

	do_action( "lense_before_related_{$post_type}", $related, $post_type, $title, $subtitle );

	if ( $related->have_posts() ) : ?>
		<section class="section section-related">
			<?php if ( $title || $subtitle ) : ?>
				<div class="section-heading">
					<h3 class="section-title"><?php echo esc_html( $title ); ?></h3>
					
					<?php if ( $subtitle ) : ?>
						<p class="section-subtitle"><?php echo esc_html( $subtitle ); ?></p>
					<?php endif; ?>				
				</div>
			<?php endif; ?>

			<div class="row">
				<?php while ( $related->have_posts() ) : $related->the_post(); ?>
					<div class="<?php echo esc_attr( lense_get_columns_classes( $columns ) ); ?>">
						<?php get_template_part( 'template-parts/item', get_post_type() ); ?>
					</div>
				<?php endwhile; ?>
				<?php wp_reset_postdata(); ?>
			</div>
		</section>
	<?php endif;

	do_action( "lense_after_related_{$post_type}", $related, $post_type, $title, $subtitle );

